uab.classes.PoisonEffect = uab.mixins.aceOO.Class(uab.interfaces.IUnitEffect)

function uab.classes.PoisonEffect.prototype:init()
	uab.classes.PoisonEffect.super.prototype.init(self)
end

function uab.classes.PoisonEffect.prototype:GetName()
	return "poisoned"
end

function uab.classes.PoisonEffect.prototype:GetDisplayName()
	return "Poison"
end

function uab.classes.PoisonEffect.prototype:GetDefaultHighlightColor()
	return { r = 0,    g = 1,    b = 0, a = 1, }
end

function uab.classes.PoisonEffect.prototype:IsActive(action, button, unit)
	return uab.mixins.aura:UnitHasDebuffType(unit, "Poison")
end

uab:RegisterUnitEffect(uab.classes.PoisonEffect)
